Revoke
curl --request POST \
--url https://app.attio.com/oauth/revokeimport requests
url = "https://app.attio.com/oauth/revoke"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://app.attio.com/oauth/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
OAuth 2.0
Revoke
POST
/
oauth
/
revoke
Revoke
Revoke an access token, so that it can no longer be used to make requests to the Attio REST API. A bearer token should be passed in the
Authorization header of the request.
Alternatively, the token can be passed in the request body, as a token parameter with a Content-Type of application/x-www-form-urlencoded.
curl -X POST https://app.attio.com/oauth/revoke \
-H "Content-Type: application/x-www-form-urlencoded" \
--data-urlencode "token=<token>"
Response
Returns204 No Content with an empty body on success.
Errors
Returns400 if no token was found in either the Authorization header or the request body, or if the token in the header does not match the token in the body.
Rate limiting
This endpoint is limited to 50 requests per minute per IP address, separately from the rate limits that apply to the rest of the API.Was this page helpful?